Subject: [bess] WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Wed, 28 Mar 2018 12:50:02 +0000

This email begins a two-week working group last call for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Please review the draft and post any comments to the BESS working group list.

We are also polling for knowledge of any undisclosed IPR that applies to this Document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
If you are listed as an author or a contributor of this document, please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR, copying the BESS mailing list. The document won't progress without answers from all the authors and contributors.
Currently there is one IPR declaration against this document.
If you are not listed as an author or a contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.
We are also polling for any existing implementations.
The working group last call closes on Wednesday 11th April.

Regards,
Matthew and Stéphane

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 28 Mar 2018 14:32:34 +0000

Matthew, and all,
I’ve looked up the -01 version of the draft and I have found 5 references to a future revision of the document (all dealing with either LSM or MAC Mobility handling).
These references are in the following sections:

·         3.3.2  (LSM)

·         4.2  (MAC mobility)

·         4.3.2 (LSM)

·         5.2  (MAC mobility)

·         5.3.2 (LSM)

BTW, the abbreviation “LSM” is not expanded in the document, and I admit that do not know what it means in the context of this draft.

I wonder whether the document in this state is ready for the WG LC because, to me, these references indicate that the authors do not consider their work as complete.

What, if anything, did I miss?

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: BESS [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Nokia - GB)
Sent: Wednesday, March 28, 2018 3:50 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: [bess] WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Regards,
Matthew and Stéphane

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: "Samer Salam (ssalam)" <[email-masked]>
Date: Wed, 28 Mar 2018 16:33:15 +0000

I am not aware of any IPR related to this document beyond what has already been disclosed.

Thanks,
Samer

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Wednesday, March 28, 2018 at 5:50 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, March 28, 2018 at 5:50 AM

Regards,
Matthew and Stéphane

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Thu, 29 Mar 2018 04:18:06 +0000

Support as a co-author. I am not aware of any IPR that hasn’t already been disclosed.
Cisco has implemented this draft for quite a while now (since 2014 I think).

Cheers,
Ali

Resent-To: Cisco Employee <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>

Regards,
Matthew and Stéphane

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Thu, 29 Mar 2018 04:20:16 +0000

Hi Sasha,

Thanks for your comments. I took care of them all in rev02 of the document that I just posted.

Cheers,
Ali

From: Alexander Vainshtein <[email-masked]>
Date: Wednesday, March 28, 2018 at 7:32 AM
To: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt
Resent-From: <[email-masked]>
Resent-To: Cisco Employee <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, March 28, 2018 at 7:32 AM

Matthew, and all,

  *   3.3.2  (LSM)
  *   4.2  (MAC mobility)
  *   4.3.2 (LSM)
  *   5.2  (MAC mobility)
  *   5.3.2 (LSM)

Office: +972-39266302
Cell:      +972-549266302

Regards,
Matthew and Stéphane

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 29 Mar 2018 05:55:19 +0000

Ali and all,
I have looked up the -02 revision of the draft, and the texr looks much more mature now.

I will read it again and send technical comments (if any) next week as well as my position regarding its support.

Thumb typed by Sasha Vainshtein

________________________________
From: Ali Sajassi (sajassi) <[email-masked]>
Sent: Thursday, March 29, 2018 7:20:16 AM
To: Alexander Vainshtein; Bocci, Matthew (Nokia - GB)
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Hi Sasha,

Cheers,
Ali

Matthew, and all,

  *   3.3.2  (LSM)
  *   4.2  (MAC mobility)
  *   4.3.2 (LSM)
  *   5.2  (MAC mobility)
  *   5.3.2 (LSM)

Office: +972-39266302
Cell:      +972-549266302

Regards,
Matthew and Stéphane

---

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Thu, 29 Mar 2018 08:47:34 +0000

Thanks for the quick turnaround.

Folks, please focus any further review and comments on the new v02 of the draft:

https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-vpls-seamless-integ/

Regards

Matthew

From: Alexander Vainshtein <[email-masked]>
Date: Thursday, 29 March 2018 at 06:55
To: "Bocci, Matthew (Nokia - GB)" <[email-masked]>, "Ali Sajassi (sajassi)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Ali and all,

Hi Sasha,

Cheers,
Ali

Matthew, and all,

  *   3.3.2  (LSM)
  *   4.2  (MAC mobility)
  *   4.3.2 (LSM)
  *   5.2  (MAC mobility)
  *   5.3.2 (LSM)

Office: +972-39266302
Cell:      +972-549266302

Regards,
Matthew and Stéphane

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Thu, 29 Mar 2018 09:06:17 +0000

Support.
Not aware of any IPR relevant to this document.
Nokia SROS has an implementation of this draft for a few years now.
Thank you,
Jorge

_____________________________
From: Bocci, Matthew (Nokia - GB) <[email-masked]>
Sent: Wednesday, March 28, 2018 13:50
Subject: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>

Regards,
Matthew and Stéphane

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 29 Mar 2018 11:32:27 +0000

Hi all,
Please see below some technical and editorial comments/question on the draft.

Technical:

1.       Section 3 mentions that integration between VPLS and EVPN is “possible (but cumbersome)” even if the brownfield VPLS service instance has been set up without BGP-based auto-discovery. I wonder if such integration is possible even if the VPLS PEs do not support BGP-based VPLS auto-discovery at all. (Note that Section 3.1 says that the VPLS PEs “advertise the BGP VPLS AD route”)

2.       In Section 3.1, the draft says that, if the operator uses the same RT for  VPLS AD routes and EVPN routes, “when a (PBB-)VPLS PE receives the EVPN Inclusive Multicast route, it will ignore it on the basis that it belongs to an unknown SAFI”.  This statement raises two comments:

a.       Should not “will” here be “MUST”?

b.       What if SAFI used for the EVPN Inclusive MC route is known to the MP-BGP instance in the VPLS PE (e.g., because some EVPN instance with MAC-VRF in this PE has been already set)? I assume that the EVPN Inclusive MC route still MUST be ignored, but the basis for that would be that it is not understood by the VSI that represents the VPLS instance in this PE

3.       The text in Section 4.2.1 says that if, following MAC move from an EVPN PE to a VPLS PE, it initiates BUM traffic, this traffic is flooded to both VPLS and EVPN PEs and “the receiving PEs update their MAC tables (VSI or MAC-VRF)”. However, Section 3.2 says that MAC addresses received by the EVPN PE via PWs from VPLS PEs are “not injected into (PBB-)EVPN MAC-VRF tables but rather they are injected into their corresponding (PBB-)VPLS VSI table”. These two statements look mutually contradictory to me. (See also my editorial comment about having both MAC-VRF and VSI MAC table in the EVPN PE).
Editorial:

1.       Section 2,  item 6 states that “The solution SHOULD support All-Active redundancy mode of multi-homed networks and multi-homed devices for (PBB-)EVPN PEs. In case of All-Active redundancy mode, the participant VPN instances SHOULD be confined to (PBB-)EVPN PEs only”. My reading of this is that All-Active redundancy mode is not compatible with seamless integration of VPLS and EVPN in the same service (hardly any surprises here). If my understanding is correct, All-Active redundancy mode seems to be out of scope for this draft.

2.       RT Constraint is mentioned in Section 3.1 without any references. I suggest to add an Informational reference to RFC 4684.

3.       The text about MAC learning from PWs in Section 3.2 seems to suggest that the service instance in an (PBB-)EVPN PE is represented by both a dedicated MAC-VRF and a dedicated VSI. However, this issue is not explicitly presented anywhere in the draft.  Some text and diagrams would be most welcome IMHO

4.       Section 3.3.1:  It seems that the title includes some of the content.

5.       Section 3.3.2 has a very long title and no content at all. (For comparison, parallel sections 4.3.2 and 5.3.2 have short titles and some content each).

6.       In section 4.2.1, a MAC address that moves from an EVPN PE to a VPLS PE is not qualified, but a MAC address that moved from a VPLS PE to an EVPN PE is referred to as a “host MAC address”. I suggest to align the terminology between these two cases.

7.       Abbreviation MHN and MHD appear in Section 6 without any expansion or definition. (Looking them up in the Web did not yield anything suitable either).

Hopefully, these comments will be useful, and the authors’ feedback would be highly appreciated.

Regards, and lots ofthanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Bocci, Matthew (Nokia - GB) [mailto:[email-masked]]
Sent: Thursday, March 29, 2018 11:48 AM
To: Alexander Vainshtein <[email-masked]>; Ali Sajassi (sajassi) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Regards

Matthew

From: Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>
Date: Thursday, 29 March 2018 at 06:55
To: "Bocci, Matthew (Nokia - GB)" <[email-masked]<mailto:[email-masked]>>, "Ali Sajassi (sajassi)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Ali and all,

________________________________
From: Ali Sajassi (sajassi) <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, March 29, 2018 7:20:16 AM
To: Alexander Vainshtein; Bocci, Matthew (Nokia - GB)
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Hi Sasha,

Cheers,
Ali

From: Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, March 28, 2018 at 7:32 AM
To: "Bocci, Matthew (Nokia - GB)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Cisco Employee <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Wednesday, March 28, 2018 at 7:32 AM

Matthew, and all,
&#0;.       3.3.2  (LSM)
&#0;.       4.2  (MAC mobility)
&#0;.       4.3.2 (LSM)
&#0;.       5.2  (MAC mobility)
&#0;.       5.3.2 (LSM)

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>

From: BESS [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Nokia - GB)
Sent: Wednesday, March 28, 2018 3:50 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [bess] WG Last Call and IPR Poll for draft-ietf-bess-evpn-vpls-seamless-integ-01.txt

Regards,
Matthew and Stéphane

---

From: "DelRegno, Christopher N (Nick)" <[email-masked]>
Date: Thu, 29 Mar 2018 09:11:24 -0500

Matthew:

I support as co-author.  I am not aware of any IPR related to this draft.
Verizon has been using this capability in our network for some time now.

Thanks,

Nick

Christopher N. “Nick” Del Regno, Fellow

Verizon, Emerging Tech Platforms

700 Hidden Ridge, W02G94

Irving, TX  75038

972-457-5173

On Wed, Mar 28, 2018 at 7:50 AM, Bocci, Matthew (Nokia - GB) <
[email-masked]> wrote:

> This email begins a two-week working group last call for
> draft-ietf-bess-evpn-vpls-seamless-integ-01.txt
>
>
>
> We are also polling for knowledge of any undisclosed IPR that applies to
> this Document, to ensure that IPR has been disclosed in compliance with
> IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
>
> If you are listed as an author or a contributor of this document, please
> respond to this email and indicate whether or not you are aware of any
> relevant undisclosed IPR, copying the BESS mailing list. The document won't
> progress without answers from all the authors and contributors.
>
> If you are not listed as an author or a contributor, then please
> explicitly respond only if you are aware of any IPR that has not yet been
> disclosed in conformance with IETF rules.
>